routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\DashboardController::class, 'index'])->middleware('auth')->name('dashboard');
Route::get('/la', [App\Http\Controllers\DashboardController::class, 'la'])->middleware('auth')->name('dashboard.la');
Route::get('sites/index-data', [App\Http\Controllers\SiteController::class, 'indexData'])->middleware('auth')->name('sites.index-data');
Route::resource('sites', App\Http\Controllers\SiteController::class)->middleware('auth');

app/Models/Site.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Site extends Model
{
    use HasFactory;

    protected $fillable = [

    ];     

    protected $attributes = [
        'cert' => '/etc/letsencrypt/localhost.cert',
        'key' => '/etc/letsencrypt/localhost.key',
        'nginx' => 'vhost',
        'php' => '8.1',
        'pool' => 'user',
    ];    
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/DashboardController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
        $monit = exec('python3 /var/www/lemp/ansible/monit.py');
        return view('dashboard.index', ['monit' => json_decode($monit)]);
    }
    public function la()
    {
        $monit = exec('python3 /var/www/lemp/ansible/monit.py');
        return view('dashboard.la', ['monit' => json_decode($monit)]);
    }
}

app/Http/Controllers/SiteController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Site;
use App\Jobs\SiteCreate;
use App\Jobs\SiteUpdate;
use App\Jobs\SiteDestroy;
use Illuminate\Support\Facades\Crypt;
use App\Http\Requests\SiteCreateRequest;
use App\Http\Requests\SiteUpdateRequest;
use Str;

class SiteController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $sites = Site::orderByDesc('created_at')->get();
        return view('sites.index', ['sites' => $sites]);
    }

    public function indexData()
    {
        $sites = Site::orderByDesc('created_at')->get();
        return view('sites.index-data', ['sites' => $sites]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('sites.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(SiteCreateRequest $request)
    {
        $site = new Site;
        $site->title = $request->title;
        $site->domain = $request->domain;
        $site->alias = $request->alias;
        $site->email = $request->email;
        $site->directory = $request->directory;
        $site->app = $request->app;
        $site->password = Crypt::encryptString(Str::random(8));
        $site->password_db = Crypt::encryptString(Str::random(8));
        $site->save();
        
        // return json_encode($site);
        SiteCreate::dispatch($site);
        return redirect(route('sites.index'))->with('job-created', '');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Site $site)
    {
        $du = exec("sudo du -sk /var/www/vh-".$site->id." |cut -f 1");
        // dd($du);
        return view('sites.show', ['site' => $site, 'du' => $du]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($site)
    {
        $site = Site::where('id', $site)->where('status', 'active')->firstOrFail();
        return view('sites.edit', ['site' => $site]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(SiteUpdateRequest $request, $site)
    {
        $site = Site::where('id', $site)->where('status', 'active')->firstOrFail();
        $site->title = $request->title;
        $site->status = 'locked';
        $site->domain = $request->domain;
        $site->alias = $request->alias;
        $site->email = $request->email;
        $site->nginx = $request->nginx;
        $site->php = $request->php;
        $site->pool = $request->pool;
        $site->directory = $request->directory;
        $site->key = $request->key;
        $site->cert = $request->cert;
        if ($request->password) {
            $site->password = Crypt::encryptString($request->password);
        }
        if ($request->password_db) {
            $site->password_db = Crypt::encryptString($request->password_db);
        }
        $site->update();
        SiteUpdate::dispatch($site);
        return redirect(route('sites.index'))->with('job-created', '');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($site)
    {
        $site = Site::where('id', $site)->where('status', 'active')->firstOrFail();
        $site->status = 'locked';
        $site->update();
        SiteDestroy::dispatch($site->id);
        return redirect(route('sites.index'))->with('job-created', '');
    }
}

resources/views/base.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>{{ config('app.name') }}</title>
    <link rel="icon" href="/laravel.png">
    <link rel="stylesheet" href="/css/uikit.min.css" />
    <script src="/js/uikit.min.js"></script>
    <script src="/js/uikit-icons.min.js"></script>
    <script src="/js/turbolinks.min.js"></script>
    <meta name="turbolinks-cache-control" content="no-cache">
    <style>
        .uk-navbar-item, .uk-navbar-nav > li > a, .uk-navbar-toggle {padding: 0 10px;}
        .uk-notification-message {font-size: 16px;}
    </style>        
</head>
<body>
	<div class="uk-container" style="min-height: calc(100vh - 51px);">
		<nav class="uk-navbar" style="border-bottom: 1px solid #e8e8e8;">
			<div class="uk-navbar-left">
				<a href="/" class="uk-logo uk-text-uppercase">{{ config('app.name') }}</a>
			</div>
			<div class="uk-navbar-right">
				<ul class="uk-navbar-nav">
					<li @if(Request::is('site*'))class="uk-active" @endif><a href="{{ route('sites.index') }}"><span class="uk-margin-small-right" uk-icon="list"></span>Сайты</a></li>
					<li>
						<a onclick="document.getElementById('logout').submit();"><span class="uk-margin-small-right" uk-icon="sign-out"></span>Выйти</a>
						<form action="{{ route('logout') }}" method="POST" id="logout">
                        	@csrf
                    	</form> 
					</li>
				</ul>
			</div>
		</nav>
		@yield('content')
	</div>
    <div class="uk-container uk-padding-small uk-text-small uk-text-center uk-text-uppercase">
     {{ config('app.name')}} © @php echo date('Y'); @endphp
    </div>
    @yield('js')	
</body>
</html>

resources/views/dashboard/index.blade.php
@extends('base')
@section('content')
<div class="uk-child-width-1-2@m uk-margin-top" uk-grid>
	<div>
		<h4>Параметры сервера</h4>
	    <div class="uk-grid-small" uk-grid>
	        <div class="uk-width-expand" uk-leader>Hostname</div>
	        <div>{{ $monit->hostname }}</div>
	    </div>
	    <div class="uk-grid-small" uk-grid>
	        <div class="uk-width-expand" uk-leader>CPU Core</div>
	        <div>{{ $monit->totalCpu }}</div>
	    </div>
	    <div class="uk-grid-small" uk-grid>
	        <div class="uk-width-expand" uk-leader>RAM</div>
	        <div>{{ $monit->totalRam }} Mb</div>
	    </div>
	    <div class="uk-grid-small" uk-grid>
	        <div class="uk-width-expand" uk-leader>Disk</div>
	        <div>{{ $monit->totalDisk }} Gb</div>
	    </div>
	    <div class="uk-grid-small" uk-grid>
	        <div class="uk-width-expand" uk-leader>Uptime</div>
	        <div>{{ $monit->d }} д. {{ $monit->h }} ч. {{ $monit->m }} м.</div>
	    </div>
	</div>
	<div id="la">
		@include('dashboard.la')
	</div>
</div>
@endsection
@section('js')
<script>
setInterval( function() {
	fetch('/la').then(function (response) {
		return response.text();
	}).then(function (html) {
		document.querySelector('#la').innerHTML = html;
	}).catch(function (err) {
		document.location.reload();
	});	

}, 10000);
</script>
@endsection

resources/views/dashboard/la.blade.php
<div class="uk-background-muted uk-padding-small">
	<h4>Текущая нагрузка</h4>
	<div class="uk-margin">
		<div class="uk-flex uk-flex-between">
			<span class="">CPU</span>
			<span class="">{{ round($monit->cpu, 0) }}%</span>
		</div>
		<progress class="uk-progress uk-margin-remove-top" style="background: #efefef;" value="{{ $monit->cpu }}" max="100"></progress>
	</div>

	<div class="uk-margin">
		<div class="uk-flex uk-flex-between">
			<span class="">RAM</span>
			<span class="">{{ $monit->ram }}%</span>
		</div>
		<progress class="uk-progress uk-margin-remove-top" style="background: #efefef;" value="{{ $monit->ram }}" max="100"></progress>
	</div>

	<div class="uk-margin">
		<div class="uk-flex uk-flex-between">
			<span class="">Disk</span>
			<span class="">{{ $monit->disk }}%</span>
		</div>
		<progress class="uk-progress uk-margin-remove-top" style="background: #efefef;" value="{{ $monit->disk }}" max="100"></progress>
	</div>
</div>

resources/views/sites/create.blade.php
@extends('base')
@section('content')
<div class="uk-grid-small uk-margin" uk-grid>
    <div class="uk-width-expand@m">
        <h4 class="uk-margin-remove">Добавить сайт</h4>
    </div>
</div>
<form action="{{ route('sites.store') }}" method="post" class="uk-form-stacked">
	@csrf

{{-- 	<input type="hidden" name="password" value="">
	<input type="hidden" name="password_db" value=""> --}}
	<div uk-grid>
		<div class="uk-width-1-2@m">
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="title" class="uk-form-label">Название</label>
					<input type="text" class="uk-input" id="title" name="title" placeholder="Мой блог" required value="{{ old('title') }}">
					@error('title')<span class="uk-text-small uk-text-danger">{{ $message }}</span>@enderror
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="domain" class="uk-form-label">Домен</label>
					<input type="text" class="uk-input" id="domain" name="domain" placeholder="domain.com" required value="{{ old('domain') }}">
					@error('domain')<span class="uk-text-small uk-text-danger">{{ $message }}</span>@enderror
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="alias" class="uk-form-label">Алиасы</label>
					<input type="text" class="uk-input" id="alias" name="alias" placeholder="www.domain.com blog.domain.com" value="{{ old('alias') }}">
				</div>
			</div>
		</div>
		<div class="uk-width-1-2@m">
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="email" class="uk-form-label">Email</label>
					<input type="email" class="uk-input" id="email" name="email" placeholder="mail@domain.com" required value="{{ old('email') }}">
					@error('email')<span class="uk-text-small uk-text-danger">{{ $message }}</span>@enderror
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="directory" class="uk-form-label">Директория</label>
					<input type="text" class="uk-input" id="directory" name="directory" placeholder="public" value="{{ old('directory') }}">
				</div>
			</div>	
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label class="uk-form-label">Приложение</label>
					<div class="uk-child-width-1-2 uk-grid-small" uk-grid>
						<div><label><input class="uk-radio" type="radio" name="app" value="" checked> Не устанавливать</label></div>
						<div><label><input class="uk-radio" type="radio" name="app" value="wordpress"> Wordpress</label></div>
						<div><label><input class="uk-radio" type="radio" name="app" value="laravel"> Laravel</label></div>
						<div><label><input class="uk-radio" type="radio" name="app" value="lumen"> Lumen</label></div>
					</div>
				</div>
			</div>		
		</div>
	</div>
	<div class="uk-margin">
		<button class="uk-button uk-button-default uk-margin-small-right">Добавить</button>
		<a href="{{ route('sites.index') }}" class="uk-button uk-button-primary">Отмена</a>
	</div>
</form>
<script>
    function genpass(){
    const rand = Math.random().toString(36).slice(2);
    document.getElementsByName('password')[0].value = rand;        
    }
    function genpassdb(){
    const rand = Math.random().toString(36).slice(2);
    document.getElementsByName('password_db')[0].value = rand;        
    }
    genpass()
    genpassdb()        	
</script>
@endsection

resources/views/sites/edit.blade.php
@extends('base')
@section('content')
<div class="uk-grid-small uk-margin" uk-grid>
    <div class="uk-width-expand@m">
        <h4 class="uk-margin-remove">Изменить сайт</h4>
    </div>
</div>
<form action="{{ route('sites.update', $site->id) }}" method="post" class="uk-form-stacked">
	@csrf
	@method('put')	<div uk-grid>
		<div class="uk-width-1-2@m">
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="title" class="uk-form-label">Название</label>
					<input type="text" class="uk-input" id="title" name="title" placeholder="Мой блог" value="{{ $site->title }}" required>
					@error('title')<span class="uk-text-small uk-text-danger">{{ $message }}</span>@enderror
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="domain" class="uk-form-label">Домен</label>
					<input type="text" class="uk-input" id="domain" name="domain" placeholder="domain.com" value="{{ $site->domain }}" required>
					@error('domain')<span class="uk-text-small uk-text-danger">{{ $message }}</span>@enderror
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="alias" class="uk-form-label">Алиасы</label>
					<input type="text" class="uk-input" id="alias" name="alias" placeholder="www.domain.com blog.domain.com" value="{{ $site->alias }}">
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="email" class="uk-form-label">Email</label>
					<input type="email" class="uk-input" id="email" name="email" placeholder="mail@domain.com" value="{{ $site->email }}" required>
					@error('email')<span class="uk-text-small uk-text-danger">{{ $message }}</span>@enderror
				</div>
			</div>
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="directory" class="uk-form-label">Директория</label>
					<input type="text" class="uk-input" id="directory" name="directory" placeholder="public" value="{{ $site->directory }}">
				</div>
			</div>	
		</div>
		<div class="uk-width-1-2@m">
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="cert" class="uk-form-label">Сертификат SSL</label>
					<input type="text" class="uk-input" id="cert" name="cert" placeholder="/etc/letsencrypt/localhost.cert" value="{{ $site->cert }}">
				</div>
			</div>	
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="key" class="uk-form-label">Закрытый ключ SSL</label>
					<input type="text" class="uk-input" id="key" name="key" placeholder="/etc/letsencrypt/localhost.key" value="{{ $site->key }}">
				</div>
			</div>	
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="nginx" class="uk-form-label">Шаблон Nginx</label>
					<input type="text" class="uk-input" id="nginx" name="nginx" placeholder="vhost" value="{{ $site->nginx }}">
				</div>
			</div>	
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="pool" class="uk-form-label">Шаблон PHP-FPM</label>
					<input type="text" class="uk-input" id="pool" name="pool" placeholder="user" value="{{ $site->pool }}">
				</div>
			</div>	
			<div class="uk-margin">
				<div class="uk-form-controls">
					<label for="php" class="uk-form-label">Версия PHP</label>
					<div class="uk-child-width-1-3@m uk-grid-small" uk-grid>
						<div><label><input class="uk-radio" type="radio" name="php" value="7.4" @if($site->php === "7.4")checked @endif> PHP 7.4</label></div>
						<div><label><input class="uk-radio" type="radio" name="php" value="8.0" @if($site->php === "8.0")checked @endif> PHP 8.0</label></div>
						<div><label><input class="uk-radio" type="radio" name="php" value="8.1" @if($site->php === "8.1")checked @endif> PHP 8.1</label></div>
					</div>
				</div>
			</div>		
		</div>
	</div>
	<div class="uk-margin">
		<button class="uk-button uk-button-default uk-margin-small-right">Обновить</button>
		<a href="{{ route('sites.show', $site->id) }}" class="uk-button uk-button-primary">Отмена</a>
	</div>
</form>
@endsection

resources/views/sites/index-data.blade.php
@if($sites->count() > 0)
<table class="uk-table uk-table-small uk-table-middle uk-table-striped uk-table-hover uk-text-small">
    <thead>
        <tr>
            <th class="uk-table-shrink">ID</th>
            <th>Название</th>
            <th class="uk-table-shrink">Домен</th>
            <th class="uk-table-shrink">User</th>
            <th class="uk-table-shrink">Статус</th>
        </tr>
    </thead>
    <tbody>
        @foreach($sites as $site)
        <tr>
            <td>{{ $site->id }}</td>
            <td class="uk-table-link"><a href="{{ route('sites.show', $site->id) }}" class="uk-link-reset">{{ $site->title }}</a></td>
            <td class="uk-table-shrink uk-text-nowrap"><a href="http://{{ $site->domain }}" class="uk-link-reset" target="_blank">{{ $site->domain }}</a></td>
            <td>{{ $site->user }}</td>
            <td class="uk-text-right">
                @if($site->status === 'locked')
                <a href="{{ route('sites.index') }}" class="uk-icon-link locked" uk-icon="clock"></a>
                @elseif($site->status === 'error')
                <span uk-icon="warning"></span>
                @else
                <span uk-icon="check"></span>
                @endif
            </td>
        </tr>
        @endforeach
    </tbody>
</table>
@else
<div class="uk-text-center">
    Ничего не найдено.
</div>
@endif

resources/views/sites/index.blade.php
@extends('base')
@section('content')
<div class="uk-grid-small uk-margin" uk-grid>
    <div class="uk-width-expand@m">
        <h4 class="uk-margin-remove">Сайты</h4>
    </div>
    <div class="uk-width-auto">
		<ul class="uk-iconnav">
            <li class="uk-text-uppercase"><a href="{{ route('sites.create') }}"><span class="uk-margin-small-right" uk-icon="icon: plus"></span>Добавить</a></li>
		</ul>              
    </div>
</div>
<div id="data">
    @include('sites.index-data') 
</div>
@endsection
@section('js')
<script>

setInterval( function() {
    fetch('sites/index-data').then(function (response) {
        return response.text();
    }).then(function (html) {
        document.querySelector('#data').innerHTML = html;
    }).catch(function (err) {
        console.warn('Error', err);
    }); 

}, 10000);
    @if (Session::has('job-created'))
    UIkit.notification({
        message: 'Задание добавлено в очередь',
        timeout: 10000
    });
    @endif   
</script>
@endsection

resources/views/sites/show.blade.php
@extends('base')
@section('content')
<div class="uk-grid-small uk-margin" uk-grid>
    <div class="uk-width-expand@m">
        <h4 class="uk-margin-remove">{{ $site->title }}</h4>
    </div>
    <div class="uk-width-auto">
           
    </div>
</div>
<div class="uk-grid-medium" uk-grid>
	<div class="uk-width-1-2@m">
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Домен</div>
		    <div class="uk-link-muted">
		    	@isset($site->alias)
		    	<a href="#" class="uk-icon-link uk-margin-small-right" uk-icon="eye"></a>
				<div uk-dropdown="mode: click">
					<ul class="uk-nav uk-nav-default">
						<li class="uk-nav-header">Псевдонимы</li>
						<li class="uk-nav-divider"></li>
						<li>{{ $site->alias }}</li>
					</ul>
				</div>	
				@endisset		    	
		    	<a href="http://{{ $site->domain }}" target="_blank">{{ $site->domain }}</a>
		    </div>
		</div>				
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Имя пользователя</div>
		    <div>
		    	<a href="#" class="uk-icon-link uk-margin-small-right" uk-icon="eye"></a>
				<div uk-dropdown="mode: click; pos:left-top;">
					<ul class="uk-nav uk-nav-default uk-text-nowrap">
						<li class="uk-nav-header">Реквизиты доступа</li>
						<li class="uk-nav-divider"></li>
						<li><span class="uk-text-muted">Пароль пользователя:</span> {{ \Crypt::decryptString($site->password) }}</li>
						<li><span class="uk-text-muted">Пароль пользователя MySQL:</span> {{ \Crypt::decryptString($site->password_db) }}</li>
					</ul>
				</div>		    	
		    	{{ $site->user }}
		    </div>
		</div>						
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Версия PHP</div>
		    <div>{{ $site->php }}</div>
		</div>		
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Директория</div>
		    <div>/var/www/{{ $site->user }}/www/{{ $site->directory }}</div>
		</div>		
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Email</div>
		    <div>{{ $site->email }}</div>
		</div>	
	</div>
	<div class="uk-width-1-2@m">				
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Сертификат SSL</div>
		    <div><span uk-icon="eye" uk-tooltip="title: {{ $site->cert }}; pos: left;"></span></div>
		</div>				
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Ключ SSL</div>
		    <div><span uk-icon="eye" uk-tooltip="title: {{ $site->key }}; pos: left;"></span></div>
		</div>							
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Шаблон PHP-FPM</div>
		    <div>{{ $site->pool }}</div>
		</div>	
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Шаблон Nginx</div>
		    <div>{{ $site->nginx }}</div>
		</div>		
		<div class="uk-grid-small" uk-grid>
		    <div class="uk-width-expand" uk-leader>Диск</div>
		    <div>{{ round($du/1024/1024, 2) }} Gb</div>
		</div>										
	</div>
	<div class="uk-width-1-2@m">
		<a href="{{ route('sites.index') }}" class="uk-button uk-button-default">Назад</a>
		@if($site->status === 'active')
		<a href="{{ route('sites.edit', $site->id) }}" class="uk-button uk-button-default">Редактировать</a>
		<a onclick="destroySite('{{ $site->id }}', '{{ $site->title }}');" class="uk-button uk-button-danger">Удалить</a>
	        <form action="{{ route('sites.destroy', $site->id) }}" method="post" id="destroy">
	            @method('DELETE')
	            @csrf
	            <input type="hidden" name="profile" value="1">
	        </form>
	    @endif    
	</div>  	
</div>
@endsection
@section('js')
<script> 
    function destroySite(id, name){
        let confirmDestroy = confirm('Удалить сайт ' + name + '?');
        let destroyForm = document.getElementById('destroy');
        if (confirmDestroy) {
            destroyForm.submit();
        }
    }   
</script>
@endsection